| Home | Libraries | People | FAQ | More

##### stable_async_base::complete_now

(Inherited from `async_base`)

Invoke the final completion handler.

###### Synopsis

    template<
        class... Args>
    void
    complete_now(
        Args&&... args);

###### Description

This invokes the final completion handler with the specified arguments forwarded. It is undefined to call either of `async_base::complete` or `async_base::complete_now` more than once. Any temporary objects allocated with `allocate_stable` will be automatically destroyed before the final completion handler is invoked.

###### Parameters

Name | Description
--- | ---
`args` | A list of optional parameters to invoke the handler with. The completion handler must be invocable with the parameter list, or else a compilation error will result.